---
title: SyncManager.register()
slug: Web/API/SyncManager/register
tags:
  - API
  - Experimental
  - Method
  - Reference
  - ServiceWorker
  - SyncManager
  - register
---
<p>{{APIRef("Service Workers API")}}{{Non-standard_header}}</p>

<p>The <code><strong>SyncManager.register</strong></code> method of the {{domxref("SyncManager")}} interface returns a {{domxref("Promise")}} that resolves to a {{domxref("SyncRegistration")}} instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">SyncManager.register([<em>options</em>]).then(function(<em>syncRegistration</em>) { ... })</pre>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("Promise")}} that resolves to an instance of {{domxref("SyncRegistration")}}.</p>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>options {{optional_inline}}</dt>
 <dd>An object that sets options for an instance of {{domxref("SyncRegistration")}}. The available options are:
 <ul>
  <li><code>allowOnBattery</code>: A boolean that determines whether synchronization is allowed when the user agent is on a battery-powered device. The default is <code>true</code>.</li>
  <li><code>id</code>: The unique identifier of the specified {{domxref("SyncRegistration")}} object.</li>
  <li><code>idleRequired</code>: A boolean that determines whether synchronization is allowed when the user agent's device is idle. The default is <code>false</code>.</li>
  <li><code>maxDelay</code>: The maximum delay in milliseconds before the next <code>sync</code> event (or the first <code>sync</code> event if it is periodic). The default is <code>0</code>, meaning there is no maximum delay.</li>
  <li><code>minDelay</code>: The minimum delay in milliseconds before the next <code>sync</code> event (or the first sync event if it is periodic). The default is <code>0</code>.</li>
  <li><code>minPeriod</code>: The minimum time in milliseconds between periodic sync events. The default is <code>0</code>, meaning events are not periodic.</li>
  <li><code>minRequiredNetwork</code>: The network condition under which background synchronization will occur. Valid values are <code>'network-any'</code>, <code>'network-offline'</code>, <code>'network-online'</code>, <code>'network-non-mobile'</code>. The default value is <code>'network-online'</code>.</li>
 </ul>
 </dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SyncManager.register")}}</p>
</div>
